Loading...
Searching...
No Matches
BALL::PCMCavFreeEnergyProcessor::Option Struct Reference

`#include <BALL/SOLVATION/PCMCavFreeEnergyProcessor.h>`

## Static Public Attributes

static const char * | VERBOSITY
static const char * | SOLVENT_NUMBER_DENSITY
static const char * | ABSOLUTE_TEMPERATURE
static const char * | PROBE_RADIUS

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in PCMCavFreeEnergyProcessor::options.

Definition at line 42 of file PCMCavFreeEnergyProcessor.h.

## Member Data Documentation

## ABSOLUTE_TEMPERATURE

const char* BALL::PCMCavFreeEnergyProcessor::Option::ABSOLUTE_TEMPERATURE

static

The temperature. This option defines the absolute temperature at which the solvation takes place. Use float values of unit K with this option.

See also
  Default::ABSOLUTE_TEMPERATURE

Parameters

  absolute_temperature | float;

Definition at line 65 of file PCMCavFreeEnergyProcessor.h.

## PROBE_RADIUS

const char* BALL::PCMCavFreeEnergyProcessor::Option::PROBE_RADIUS

static

The probe radius. This option defines the hard sphere solvent radius needed for the calculation of the cavitation free energy according to the scaled particle theory. Use float values of unit $ A $ with this option.

See also
  Default::PROBE_RADIUS

Parameters

  probe_radius | float;

Definition at line 74 of file PCMCavFreeEnergyProcessor.h.

## SOLVENT_NUMBER_DENSITY

const char* BALL::PCMCavFreeEnergyProcessor::Option::SOLVENT_NUMBER_DENSITY

static

The number density of the solvent. This option defines the number density of the surrounding solvent. Use float values of unit $ A^{-3} $ with this option.

See also
  Default::SOLVENT_NUMBER_DENSITY

Parameters

  solvent_number_density | float

Definition at line 57 of file PCMCavFreeEnergyProcessor.h.

## VERBOSITY

const char* BALL::PCMCavFreeEnergyProcessor::Option::VERBOSITY

static

The verbosity level. Use integer values with this option.

See also
  Default::VERBOSITY

Parameters

  verbosity | integer

Definition at line 49 of file PCMCavFreeEnergyProcessor.h.